<?php

declare(strict_types=1);

use JTL\Shop;

require \dirname(__DIR__, 2).'/src/warmup.php';
if (isset($_COOKIE['cin_cookie_fsk18'])) {
  return;
}

$pdo  = $P->getPDO();
$stmt = $pdo->prepare('SELECT COUNT(*) FROM tkategorieattribut WHERE cName = :cName');
$stmt->execute([':cName' => 'cin_fsk_category']);
$attributePresent = $stmt->fetchColumn() > 0;

$kKategorie = $smarty->getTemplateVars()['AktuelleKategorie']->kKategorie;
if ($attributePresent) {
  $stmt = $pdo->prepare('SELECT COUNT(*) FROM tkategorieattribut WHERE cName = :cName AND kKategorie = :kKategorie');
  $stmt->execute([':cName' => 'cin_fsk_category', ':kKategorie' => $kKategorie]);

  if (0 === $stmt->fetchColumn()) {
    return;
  }
}

$smarty->assign('fskLang', $lang);
$smarty->assign('fskCfg', $cfg);

if (isset($cfg['fsk_target']) && 'cms' === $cfg['fsk_target'] && isset($cfg['fsk_target_cms'])) {
  if (0 === $cfg['fsk_target_cms']) {
    $smarty->assign('cin_post_loading', 'Keine Seite ausgewählt');
  }

  $link    = Shop::Container()->getLinkService()->getLinkByID((int) $cfg['fsk_target_cms']);
  $content = null !== $link ? $link->getContent() : '';
  $smarty->assign('cin_post_loading', $content);
}

$_plugin = $P->getJTlPlugin();

pq('body')->append($smarty->fetch(\dirname(__DIR__, 1).'/template/question.tpl'));
pq('body')->append('<link rel="stylesheet" href="'.$_plugin->getPaths()->getFrontendURL().'css/style_overlay.css">');
pq('body')->append('<script type="text/javascript"> var fskSettings = '.json_encode($cfg, \JSON_NUMERIC_CHECK | \JSON_UNESCAPED_SLASHES | \JSON_PRETTY_PRINT | \JSON_PARTIAL_OUTPUT_ON_ERROR).';</script>');
pq('body')->append('<script src="'.$_plugin->getPaths()->getFrontendURL().'js/jss.js"></script>');
pq('body')->append('<script src="'.$_plugin->getPaths()->getFrontendURL().'js/fsk.js"></script>');
